使用SVN出现版本过低问题的解决(This client is too old to work with working copy)

svn: This client is too old to work with working copy

该问题困扰我一天了,没时间看,因为还有windows版本的svn,暂时用那个对付了。

今天实在受不了了,eclipse里改东西,用windows的svn工具提交。。文件多了就麻烦了。
windows的svn工具

http://nchc.dl.sourceforge.net/sourceforge/tortoisesvn/TortoiseSVN-1.6.1.16129-win32-svn-1.6.1.msi

 

后来一看是版本过低,,我用的居然是svn1.2版本。。卸载1.2后升级成1.6就没问题了。。具体版本还得看自己的具体版本

具体步骤:

1:,卸载当前版本

help>install new software >查找 <what is already installed>

找到svn的旧版本,选中,uninstall。

2,升级

help>install new software >add

svn-1.6 – http://subclipse.tigris.org/update_1.6.x

安装方法我就不说了。

 

 

发表评论

电子邮件地址不会被公开。 必填项已用 * 标注

您可以使用这些 HTML 标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>